ยซ Up

albert dev Error with dependencies ๐Ÿš’

๐Ÿ“… (2022-05-14 08:21:45 UTC)

Context

# Packages matching: installed
# Name                # Installed # Synopsis
base-bigarray         base
base-threads          base
base-unix             base
conf-findutils        1           Virtual package relying on findutils
conf-gmp              4           Virtual package relying on a GMP lib system installation
coq                   dev         Formal proof management system
dune                  3.1.1       Fast, portable, and opinionated build system
ocaml                 4.12.1      The OCaml compiler (virtual package)
ocaml-base-compiler   4.12.1      Official release 4.12.1
ocaml-config          2           OCaml Switch Configuration
ocaml-options-vanilla 1           Ensure that OCaml is compiled with no special options enabled
ocamlfind             1.9.3       A library manager for OCaml
zarith                1.12        Implements arithmetic and logical operations over arbitrary-precision integers
# opam file:
opam-version: "2.0"
synopsis: "A certified compiler for Albert, an intermediate language for compilers targeting Tezos' smart contract language Michelson"
maintainer: "albert@nomadic-labs.com"
authors: [ "Raphaรซl Cauderlier" "Bruno Bernardo" "Julien Tesson" "Arvid Jakobsson" "Basile Pesin" ]
homepage: "https://gitlab.com/nomadic-labs/albert/"
dev-repo: "git+https://gitlab.com/nomadic-labs/albert/"
bug-reports: "https://gitlab.com/nomadic-labs/albert/issues"
license: "MIT"
build: [
  [ make ]
  [ make "test" {with-test} ]
]
install: [ make "install" ]
depends: [
  "dune"
  "ott"
  "menhir"
  "coq" {>= "8.8.2"}
  "coq-ott"
  "coq-menhirlib"
  "coq-mi-cho-coq"
  "coq-list-string"
  "coq-moment" {>= "1.2.0"}
]
description:"""
Albert is an intermediate smart contract programming language
targeting Michelson, the language for the Tezos blockchain. Albert is
an imperative language with variables and records, abstracting the
Michelson stack. The intent of Albert is to serve as a compilation
target for high-level smart contract programming languages. The linear
type system of Albert ensures that an Albert program, compiled to the
stack-based Michelson language, properly consumes all stack values.
This package contains the ott specification of the language, the
Albert compiler targeting Michelson written in Coq and extracted to OCaml.
"""
tags: [
  "category:Computer Science/Semantics and Compilation/Compilation"
  "keyword:blockchain"
  "keyword:albert"
  "keyword:semantics"
  "keyword:smart-contract"
  "keyword:tezos"
  "logpath:Albert"
]
url {
  src: "git+https://gitlab.com/nomadic-labs/albert.git#master"
}

Lint

Command
true
Return code
0

Dry install ๐Ÿœ๏ธ

Dry install with the current Coq version:

Command
opam install -y --show-action coq-albert.dev coq.dev
Return code
0

Dry install without Coq/switch base, to test if the problem was incompatibility with the current Coq/OCaml version:

Command
true
Return code
0

Install dependencies

Command
opam list; echo; ulimit -Sv 4000000; timeout 4h opam install -y --deps-only coq-albert.dev coq.dev
Return code
7936
Duration
13 m 3 s
Output
# Packages matching: installed
# Name                # Installed # Synopsis
base-bigarray         base
base-threads          base
base-unix             base
conf-findutils        1           Virtual package relying on findutils
conf-gmp              4           Virtual package relying on a GMP lib system installation
coq                   dev         Formal proof management system
dune                  3.1.1       Fast, portable, and opinionated build system
ocaml                 4.12.1      The OCaml compiler (virtual package)
ocaml-base-compiler   4.12.1      Official release 4.12.1
ocaml-config          2           OCaml Switch Configuration
ocaml-options-vanilla 1           Ensure that OCaml is compiled with no special options enabled
ocamlfind             1.9.3       A library manager for OCaml
zarith                1.12        Implements arithmetic and logical operations over arbitrary-precision integers
The following actions will be performed:
  - install coq-list-plus       1.1.0
  - install menhirLib           dev
  - install ott                 0.32
  - install conf-ruby           1.0.0
  - install coq-cunit           1.0.0
  - install coq-menhirlib       dev
  - install coq-error-handlers  1.2.0
  - install coq-function-ninjas 1.0.0
  - install ocamlbuild          0.14.1
  - install coq-ott             dev
  - install menhirSdk           dev
  - install coq-list-string     2.1.2
  - install menhir              dev
  - install coq-moment          1.2.1
  - install coq-mi-cho-coq      dev
===== 15 to install =====
<><> Gathering sources ><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
[coq-cunit.1.0.0] downloaded from https://github.com/clarus/coq-cunit/archive/1.0.0.tar.gz
[coq-error-handlers.1.2.0] downloaded from https://github.com/clarus/coq-error-handlers/archive/1.2.0.tar.gz
[coq-function-ninjas.1.0.0] downloaded from https://github.com/clarus/coq-function-ninjas/archive/1.0.0.tar.gz
[coq-list-plus.1.1.0] downloaded from https://github.com/clarus/coq-list-plus/archive/1.1.0.tar.gz
[coq-list-string.2.1.2] downloaded from https://github.com/clarus/coq-list-string/archive/2.1.2.tar.gz
[coq-moment.1.2.1] downloaded from https://github.com/clarus/coq-moment/archive/refs/tags/1.21.tar.gz
[coq-mi-cho-coq.dev] synchronised from git+https://gitlab.com/nomadic-labs/mi-cho-coq.git#master
[coq-ott.dev] synchronised from git+https://github.com/ott-lang/ott.git#master
[coq-menhirlib.dev] synchronised from git+https://gitlab.inria.fr/fpottier/menhir.git#master
[menhir.dev] synchronised from git+https://gitlab.inria.fr/fpottier/menhir.git#master
[ocamlbuild.0.14.1] downloaded from cache at https://opam.ocaml.org/cache
[ott.0.32] downloaded from cache at https://opam.ocaml.org/cache
[menhirLib.dev] synchronised from git+https://gitlab.inria.fr/fpottier/menhir.git#master
[menhirSdk.dev] synchronised from git+https://gitlab.inria.fr/fpottier/menhir.git#master
<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> installed conf-ruby.1.0.0
-> installed coq-cunit.1.0.0
-> installed coq-error-handlers.1.2.0
-> installed coq-function-ninjas.1.0.0
-> installed coq-list-plus.1.1.0
-> installed coq-menhirlib.dev
-> installed coq-ott.dev
-> installed coq-list-string.2.1.2
-> installed menhirLib.dev
-> installed menhirSdk.dev
-> installed ocamlbuild.0.14.1
-> installed coq-moment.1.2.1
-> installed ott.0.32
-> installed menhir.dev
[ERROR] The compilation of coq-mi-cho-coq failed at "/home/bench/.opam/opam-init/hooks/sandbox.sh build ./configure".
#=== ERROR while compiling coq-mi-cho-coq.dev =================================#
# context              2.0.8 | linux/x86_64 | ocaml-base-compiler.4.12.1 | file:///home/bench/run/opam-coq-archive/extra-dev
# path                 ~/.opam/ocaml-base-compiler.4.12.1/.opam-switch/build/coq-mi-cho-coq.dev
# command              ~/.opam/opam-init/hooks/sandbox.sh build ./configure
# exit-code            1
# env-file             ~/.opam/log/coq-mi-cho-coq-7153-ec42cf.env
# output-file          ~/.opam/log/coq-mi-cho-coq-7153-ec42cf.out
### output ###
# [-Q physicalpath logicalpath]: look for Coq dependencies starting from
# [...]
# [VARIABLE = value]: Add the variable definition "VARIABLE=value"
# [-arg opt]: send option "opt" to coqc
# [-docroot path]: Install the documentation in this folder, relative to
#   "user-contrib".
# [-f file]: take the contents of file as arguments
# [-o file]: output should go in file file (recommended)
# 	Output file outside the current directory is forbidden.
# [-generate-meta-for-package project-name]: generate META.project-name.
# [-h]: print this usage summary
# [--help]: equivalent to [-h]
# fail while building main makefile
<><> Error report <><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
+- The following actions failed
| - build coq-mi-cho-coq dev
+- 
+- The following changes have been performed
| - install conf-ruby           1.0.0
| - install coq-cunit           1.0.0
| - install coq-error-handlers  1.2.0
| - install coq-function-ninjas 1.0.0
| - install coq-list-plus       1.1.0
| - install coq-list-string     2.1.2
| - install coq-menhirlib       dev
| - install coq-moment          1.2.1
| - install coq-ott             dev
| - install menhir              dev
| - install menhirLib           dev
| - install menhirSdk           dev
| - install ocamlbuild          0.14.1
| - install ott                 0.32
+- 
# Run eval $(opam env) to update the current shell environment
The former state can be restored with:
    opam switch import "/home/bench/.opam/ocaml-base-compiler.4.12.1/.opam-switch/backup/state-20220513012046.export"

Install ๐Ÿš€

Command
true
Return code
0
Duration
0 s

Installation size

No files were installed.

Uninstall ๐Ÿงน

Command
true
Return code
0
Missing removes
none
Wrong removes
none